# Created by pyp2rpm-3.3.8
%global pypi_name python-cinderclient
%global pypi_version 9.0.0
%global srcname cinderclient

Name:           python-%{srcname}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        OpenStack Block Storage API Client Library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/python-cinderclient/latest/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
Patch1:         python-cinderclient-test-reqs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
# Docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(oslo-utils)
BuildRequires:  python3dist(prettytable)
BuildRequires:  python3dist(stevedore)
BuildRequires:  python3dist(keystoneauth1)
BuildRequires:  python3dist(os-service-types)
# Tests
BuildRequires:  python3dist(simplejson)
BuildRequires:  python3dist(doc8)
BuildRequires:  python3dist(oslo-serialization)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(requests-mock)
BuildRequires:  python3dist(ddt)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8-import-order)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(tempest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
This is a client for the OpenStack Cinder API. There's a Python API (the
cinderclient module), and a command-line script (cinder).

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This is a client for the OpenStack Cinder API. There's a Python API (the
cinderclient module), and a command-line script (cinder).

%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/cinder


%changelog
* Mon Aug 22 2022 wally <wally> 9.0.0-1.mga9
+ Revision: 1879416
- imported package python-cinderclient

